com.fasterxml.jackson.databind.jsontype.impl

## Class ClassNameIdResolver

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
  - - com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver

- All Implemented Interfaces:
    TypeIdResolver
  Direct Known Subclasses:
    MinimalClassNameIdResolver

      public class ClassNameIdResolver
      extends TypeIdResolverBase

  `TypeIdResolver` implementation that converts between fully-qualified Java class names and (JSON) Strings.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

      `_baseType, _typeFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassNameIdResolver(JavaType baseType, TypeFactory typeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `_idFrom(Object value, Class<?> cls)`
    `protected JavaType` | `_typeFromId(String id, TypeFactory typeFactory)`
    `JsonTypeInfo.Id` | `getMechanism()` Accessor for mechanism that this resolver uses for determining type id from type.
    `String` | `idFromValue(Object value)` Method called to serialize type of the type of given value as a String to include in serialized JSON content.
    `String` | `idFromValueAndType(Object value, Class<?> type)` Alternative method used for determining type from combination of value and type, using suggested type (that serializer provides) and possibly value of that type.
    `void` | `registerSubtype(Class<?> type, String name)`
    `JavaType` | `typeFromId(DatabindContext context, String id)` New method, replacement for `TypeIdResolverBase.typeFromId(String)`, which is given context for accessing information, including configuration and `TypeFactory`.
    `JavaType` | `typeFromId(String id)` Deprecated.

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

      `idFromBaseType, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassNameIdResolver

          public ClassNameIdResolver(JavaType baseType,
                             TypeFactory typeFactory)

  - ### Method Detail

    - #### getMechanism

          public JsonTypeInfo.Id getMechanism()

      Description copied from interface: `TypeIdResolver`
      Accessor for mechanism that this resolver uses for determining type id from type. Mostly informational; not required to be called or used.

    - #### registerSubtype

          public void registerSubtype(Class<?> type,
                             String name)

    - #### idFromValue

          public String idFromValue(Object value)

      Description copied from interface: `TypeIdResolver`
      Method called to serialize type of the type of given value as a String to include in serialized JSON content.

    - #### idFromValueAndType

          public String idFromValueAndType(Object value,
                                  Class<?> type)

      Description copied from interface: `TypeIdResolver`
      Alternative method used for determining type from combination of value and type, using suggested type (that serializer provides) and possibly value of that type. Most common implementation will use suggested type as is.

    - #### typeFromId

          @Deprecated
          public JavaType typeFromId(String id)

      Deprecated.
      Description copied from interface: `TypeIdResolver`
      Method called to resolve type from given type identifier.
      Specified by:
        `typeFromId` in interface `TypeIdResolver`
      Specified by:
        `typeFromId` in class `TypeIdResolverBase`

    - #### typeFromId

          public JavaType typeFromId(DatabindContext context,
                            String id)

      Description copied from class: `TypeIdResolverBase`
      New method, replacement for `TypeIdResolverBase.typeFromId(String)`, which is given context for accessing information, including configuration and `TypeFactory`.
      Overrides:
        `typeFromId` in class `TypeIdResolverBase`
      Returns:
        Type for given id

    - #### _typeFromId

          protected JavaType _typeFromId(String id,
                             TypeFactory typeFactory)

    - #### _idFrom

          protected final String _idFrom(Object value,
                       Class<?> cls)

Copyright © 2014 FasterXML. All Rights Reserved.